An object that defines a CLI command and its arguments

### Type parameters

- #### TPositionalArgGroup: ICliArgGroup

- #### TNamedArgGroups: {}

- #### TDoubleDashArgGroup: ICliArgGroup

### Hierarchy

- ICliCommandOptions<TPositionalArgGroup, TNamedArgGroups, TDoubleDashArgGroup>
  - ICliCommand

## Index

### Properties

- action
- description
- doubleDashArgGroup
- hidden
- kind
- name
- namedArgGroups
- positionalArgGroup

## Properties

### action

action: (input: { ansi: ICliAnsi; console: ICliConsole; doubleDashValue: TValueFromCliArgGroup<TDoubleDashArgGroup>; namedValues: {}; positionalValue: TValueFromCliArgGroup<TPositionalArgGroup> }) => any

Inherited from ICliCommand.action

- Defined in src/cli-command.ts:23

Function or async function that implements the command

#### Type declaration

- - (input: { ansi: ICliAnsi; console: ICliConsole; doubleDashValue: TValueFromCliArgGroup<TDoubleDashArgGroup>; namedValues: {}; positionalValue: TValueFromCliArgGroup<TPositionalArgGroup> }): any

  - #### Parameters

    - ##### input: { ansi: ICliAnsi; console: ICliConsole; doubleDashValue: TValueFromCliArgGroup<TDoubleDashArgGroup>; namedValues: {}; positionalValue: TValueFromCliArgGroup<TPositionalArgGroup> }

      - ##### ansi: ICliAnsi

      - ##### console: ICliConsole

      - ##### doubleDashValue: TValueFromCliArgGroup<TDoubleDashArgGroup>

      - ##### namedValues: {}

      - ##### positionalValue: TValueFromCliArgGroup<TPositionalArgGroup>

    #### Returns any

### Optional description

description: TCliDescription

Inherited from ICliCommand.description

- Defined in src/cli-command.ts:43

A sentence or two about this command for command-line usage

### Optional doubleDashArgGroup

doubleDashArgGroup: TDoubleDashArgGroup

Inherited from ICliCommand.doubleDashArgGroup

- Defined in src/cli-command.ts:40

A `ICliArgGroup` for the arguments after a lone "--"

### Optional hidden

hidden: undefined | false | true

Inherited from ICliCommand.hidden

- Defined in src/cli-command.ts:46

If `true`, don't show this command in command-line usage

### kind

kind: typeof CLI_COMMAND

- Defined in src/cli-command.ts:65

The string literal `CLI_COMMAND`

### name

name: string

Inherited from ICliCommand.name

- Defined in src/cli-command.ts:20

Identifier for this command in command-line usage

### Optional namedArgGroups

namedArgGroups: TNamedArgGroups

Inherited from ICliCommand.namedArgGroups

- Defined in src/cli-command.ts:37

A `ICliArgGroup` for the arguments passed as "--name value"

### Optional positionalArgGroup

positionalArgGroup: TPositionalArgGroup

Inherited from ICliCommand.positionalArgGroup

- Defined in src/cli-command.ts:34

A `ICliArgGroup` for the arguments before the first separator argument

Generated using TypeDoc and MonoLisa